/*
	$Id: ConfigurationException.java 5384 2010-08-13 08:50:27Z nicklas $

	Copyright (C) 2005 Samuel Andersson, Jari Häkkinen, Nicklas Nordborg
	Copyright (C) 2006 Jari Häkkinen

	This file is part of BASE - BioArray Software Environment.
	Available at http://base.thep.lu.se/

	BASE is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 3
	of the License, or (at your option) any later version.

	BASE is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with BASE. If not, see <http://www.gnu.org/licenses/>.
*/

package net.sf.basedb.core;

/**
	This exception is thrown by the {@link Config Config} class
	if there is a problem with finding or loading the configuration 
	settings.

	@author Nicklas
	@version 2.0
*/
public class ConfigurationException
	extends BaseException
{

	/**
		
	*/
	private static final long serialVersionUID = -4529759727198656159L;

	/**
		Creates a new <code>ConfigurationException</code>.
		@param message The message of the exception
	*/
	public ConfigurationException(String message)
	{
		super(message);
	}
	
	/**
		Creates a new <code>ConfigurationException</code> with a cause.
		@param message The message of the exception
		@param cause The cause of the exception
		@since 2.16
	*/
	public ConfigurationException(String message, Throwable cause)
	{
		super(message, cause);
	}
}



